Index: /trunk/server/fedora/config/etc/scripts/modprobe
===================================================================
--- /trunk/server/fedora/config/etc/scripts/modprobe	(revision 1786)
+++ /trunk/server/fedora/config/etc/scripts/modprobe	(revision 1787)
@@ -1,10 +1,10 @@
 #!/bin/sh
-case "$*" in
-  *binfmt-464c*) # 464c are the second two bytes of the ELF magic.
-                 # This module doesn't exist; being called for it
-                 # indicates the in-kernel binfmt_elf decided to
-                 # return ENOEXEC for this ELF file for some reason.
-                 exit 1 ;;
-esac
+if [ $# -eq 3 ] && [ "$1" = "-q" ] && [ "$2" = "--" ] && [ "$3" = "binfmt-464c" ]; then
+    # 464c are the second two bytes of the ELF magic.  This module
+    # doesn't exist; being called for it indicates the in-kernel
+    # binfmt_elf decided to return ENOEXEC for this ELF file for some
+    # reason.
+    exit 1
+fi
 (
     echo "Ignoring request from kernel: modprobe $*"
